--- title: "get-connect-info" slug: "get-connect-info" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/get-connect-info" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-connect-info Available in VPC Get the connect server information of a box. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/box/get-connect-info | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `boxId` | Integer | Required | Box number - See [get-box-list](/docs/en/get-box-list). | | `instanceNo` | Integer | Required | Connect server instance number - See [get-data-box-infra-list](/docs/en/get-box-infra-list). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/box/get-connect-info?fenceId=26&boxId=74&instanceNo=*********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `storageList` | Array | - | Connect server storage information: [storageList](/docs/en/get-connect-info#storageList) | #### `storageList` The following describes `storageList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Name of block storage or NAS mounted on the connect server | | `storagePath` | String | - | Mount path | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "storageList": [ { "name": "NAS for export request", "storagePath": "C:\mount\1box1" }, { "name": "Block storage for saving work files", "storagePath": "D:\" } ] } ```